Subject: [dhcwg] Re: meta thoughts on m/o bits

From: Ralph Droms <[email-masked]>
Date: Fri, 20 May 2005 14:45:36 -0400

Comments in line...

On Fri, 2005-05-20 at 14:33 -0400, Thomas Narten wrote:
> > > => I'm curious about this, does DHCP broadcast its existence to
> > > clients that never used it when it comes up? Seems a bit strange
> > > to do that. I don't even know how it could speak to a client unsolicited.
> > > 
> 
> > Yes, I do not think there is any message that has currently been defined
> > in DHCP, that the servers broadcast without client solicitation.
> 
> There are generally two ways to discover the existance of a server:
> 
>   - broadcast its existance (e.g., via a DHC broadcast or RA "DHC
>     server present" bit)

There is no "DHCP broadcast", and changing the RA bit requires touching
all the relevant routers.

>   - have clients periodically poll the server

RFC 3315 currently specifies that clients poll (one message every two
minutes) forever.

> Each has different tradeoffs in terms of timeliness of discovering the
> server vs. load on the network, etc.
> 
> Those assuming a broadcast mechanism is needed may be making the
> assumption that if an admin turns on a DHC server, it is a
> _requirement_ that all nodes start using DHC effectively
> _immediately_.
> 
> It is not at all clear to me that this is a requirement.

Which is why a broadcast mechanism in either DHCPv4 or DHCPv6.  The
operating environments for the two protocols are somewhat different; in
general, if there is no DHCP server for IPv4 clients, those clients are
simply unable to use the network, while if there is no DHCP server for
IPv6 clients, those clients may be able to use SLAAC addresses.

Either way, broadcasting the existence of a DHCP server is likely of
value only in a very few, if any, cases.

> I.e., it might be just fine to have all clients learn of DHC within
> say 1-2 hours (if not longer), in which case background polling is
> just fine.
> 
> Remember, I don't think we're necessarily talking about the case where
> a DHC server goes down. We're presumably talking about the case where
> no DHC servers exist (and haven't for a long time), but the admin
> decides it's time to enable DHC going forward.
> 
> Thomas
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Ralph Droms <[email-masked]>
Date: Fri, 20 May 2005 14:49:41 -0400

> Which is why a broadcast mechanism in either DHCPv4 or DHCPv6.  The
                                    ^is not defined